#
# spec file for package obst (Version 3.4.3)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         obst
Release:      11
Copyright:    1992-1994 by Forschungszentrum Informatik (FZI)
Group: 
Provides:     OBST3 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      3.4.3
Summary:      The OBject system of STONE
Source: OBST3-4.3.tar.gz
Source1: lrm.ps.gz  
Source2: usersguide.ps.gz
Patch: OBST3-4.3.dif
%description
OBST is the Objekt Management System of the STONE project. It was
designed as a tool for saving persistent objects.
OBST can be seen as an object-oriented database written in C.

Authors:
--------
    Forschungszentrum Informatik, OBST Projekt <obst@fzi.de>

%prep
%setup -n OBST3-4.3
%patch
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
make -f Makefile.Linux install
cp -a $RPM_SOURCE_DIR/lrm.ps.gz  /usr/doc/packages/obst
cp -a $RPM_SOURCE_DIR/usersguide.ps.gz /usr/doc/packages/obst
chown root.root /usr/doc/packages/obst/*.ps.gz
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%docdir /usr/doc/packages/obst
%docdir /usr/obst/doc
%docdir /usr/obst/man
/usr/doc/packages/obst
/usr/obst

